/**
 * Copyright (c) 2007-2010 Capgemini, 2010-2012 EBMWebsourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.exception;

import org.ow2.petals.jmx.api.api.exception.PetalsJMXClientException;

/**
 * This exception is thrown when an error occurs during an action invocation.
 * @author Christophe Deneux - Capgemini Sud
 */
public class PerformActionErrorException extends PetalsJMXClientException {

    private static final long serialVersionUID = -8896153915558053235L;

    public PerformActionErrorException(final Throwable cause) {
        super(cause);
    }

    public PerformActionErrorException(final String message) {
        super(message);
    }

    public PerformActionErrorException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
