/**
 * Copyright (c) 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.monitoring.component.soap;

/**
 * Indexes of key used in the counter metrics 'outgoing web-service request
 * counts'. These values are exchanged with the Petals ESB container through the
 * JMX API.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
// TODO: Move following constants in a project common with the Petals
// kernel side
public class OutgoingWsRequestIndexes {

    /**
     * Index of the field 'web-service URL'.
     */
    public static final short WS_URL = 0;

    /**
     * Index of the field 'web-service operation'.
     */
    public static final short OPERATION_IDX = WS_URL + 1;

    /**
     * Index of the field 'mep'.
     */
    public static final short MEP_IDX = OPERATION_IDX + 1;

    /**
     * Index of the field 'execution status'.
     */
    public static final short EXEC_STATUS_IDX = MEP_IDX + 1;
}