/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.monitoring.container.transport.remote;

import org.ow2.petals.jmx.api.api.monitoring.container.transporter.remote.IncomingConnectionObjectPoolMetrics;
import org.ow2.petals.jmx.api.api.monitoring.object.SizedObjectPoolMetrics;
import org.ow2.petals.jmx.api.impl.monitoring.object.ObjectPoolMetricsImpl;

/**
 * An implementation of {@link SizedObjectPoolMetrics} as Java bean.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class IncomingConnectionObjectPoolMetricsImpl extends ObjectPoolMetricsImpl
        implements IncomingConnectionObjectPoolMetrics {

    private Long established = new Long(0);

    @Override
    public Long getEstablished() {
        return this.established;
    }

    /**
     * @param established
     *            If <code>null</code>, the value <code>0</code> will be used
     */
    public void setEstablished(final Long established) {
        if (established == null) {
            this.established = new Long(0);
        } else {
            this.established = established;
        }
    }

}
