/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.monitoring.defect;

import javax.management.Notification;
import javax.management.NotificationFilter;

import org.ow2.petals.jmx.api.api.monitoring.defect.DefectFilter;

/**
 * Notification filter to receive only wanted notification according to the
 * defact that we want
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class NotificationDefectFilter implements NotificationFilter {

    private static final long serialVersionUID = -3387680235429143636L;

    final DefectFilter defectFilter;

    final String source;

    public NotificationDefectFilter(final DefectFilter defectFilter, final String source) {
        this.defectFilter = defectFilter;
        this.source = source;
    }

    @Override
    public boolean isNotificationEnabled(final Notification notification) {
        return this.defectFilter.isDefectEnabled(new DefectNotif(notification, source));
    }

}
