/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.monitoring.object;

import org.ow2.petals.jmx.api.api.monitoring.object.ObjectPoolMetrics;

/**
 * An implementation of {@link ObjectPoolMetrics} as Java bean.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ObjectPoolMetricsImpl implements ObjectPoolMetrics {

    private Long borrowedObjectNumber = new Long(0);

    private Long borrowedObjectMaxNumber = new Long(0);

    private Long idleObjectNumber = new Long(0);

    private Long idleObjectMaxNumber = new Long(0);

    @Override
    public Long getBorrowedObjectNumber() {
        return this.borrowedObjectNumber;
    }

    /**
     * @param borrowedObjectNumber
     *            If <code>null</code>, the value <code>0</code> will be used
     */
    public void setBorrowedObjectNumber(final Long borrowedObjectNumber) {
        if (borrowedObjectNumber == null) {
            this.borrowedObjectNumber = new Long(0);
        } else {
            this.borrowedObjectNumber = borrowedObjectNumber;
        }
    }

    @Override
    public Long getBorrowedObjectMaxNumber() {
        return this.borrowedObjectMaxNumber;
    }

    /**
     * @param borrowedObjectMaxNumber
     *            If <code>null</code>, the value <code>0</code> will be used
     */
    public void setBorrowedObjectMaxNumber(final Long borrowedObjectMaxNumber) {
        if (borrowedObjectMaxNumber == null) {
            this.borrowedObjectMaxNumber = new Long(0);
        } else {
            this.borrowedObjectMaxNumber = borrowedObjectMaxNumber;
        }
    }

    @Override
    public Long getIdleObjectNumber() {
        return this.idleObjectNumber;
    }

    /**
     * @param idleObjectNumber
     *            If <code>null</code>, the value <code>0</code> will be used
     */
    public void setIdleObjectNumber(final Long idleObjectNumber) {
        if (idleObjectNumber == null) {
            this.idleObjectNumber = new Long(0);
        } else {
            this.idleObjectNumber = idleObjectNumber;
        }
    }

    @Override
    public Long getIdleObjectMaxNumber() {
        return this.idleObjectMaxNumber;
    }

    /**
     * @param idleObjectMaxNumber
     *            If <code>null</code>, the value <code>0</code> will be used
     */
    public void setIdleObjectMaxNumber(final Long idleObjectMaxNumber) {
        if (idleObjectMaxNumber == null) {
            this.idleObjectMaxNumber = new Long(0);
        } else {
            this.idleObjectMaxNumber = idleObjectMaxNumber;
        }
    }

}
