/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.monitoring.object;

import org.ow2.petals.jmx.api.api.monitoring.object.ThreadPoolMetrics;

/**
 * An implementation of {@link ThreadPoolMetrics} as Java bean.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ThreadPoolMetricsImpl implements ThreadPoolMetrics {

    private Long minSize = null;

    private Long maxSize = null;

    private Long activeThreadsSize = null;

    private Long activeThreadsMaxSize = null;

    private Long idleThreadsSize = null;

    private Long idleThreadsMaxSize = null;

    private Long enqueuedRequestsSize = null;

    private Long enqueuedRequestsMaxSize = null;

    @Override
    public Long getMinSize() {
        return this.minSize;
    }

    public void setMinSize(final Long minSize) {
        this.minSize = minSize;
    }

    @Override
    public Long getMaxSize() {
        return this.maxSize;
    }

    public void setMaxSize(final Long maxSize) {
        this.maxSize = maxSize;
    }

    @Override
    public Long getActiveThreadsSize() {
        return this.activeThreadsSize;
    }

    public void setActiveThreadsSize(final Long activeThreadsSize) {
        this.activeThreadsSize = activeThreadsSize;
    }

    @Override
    public Long getActiveThreadsMaxSize() {
        return this.activeThreadsMaxSize;
    }

    public void setActiveThreadsMaxSize(final Long activeThreadsMaxSize) {
        this.activeThreadsMaxSize = activeThreadsMaxSize;
    }

    @Override
    public Long getIdleThreadsSize() {
        return this.idleThreadsSize;
    }

    public void setIdleThreadsSize(final Long idleThreadsSize) {
        this.idleThreadsSize = idleThreadsSize;
    }

    @Override
    public Long getIdleThreadsMaxSize() {
        return this.idleThreadsMaxSize;
    }

    public void setIdleThreadsMaxSize(final Long idleThreadsMaxSize) {
        this.idleThreadsMaxSize = idleThreadsMaxSize;
    }

    @Override
    public Long getEnqueuedRequestsSize() {
        return this.enqueuedRequestsSize;
    }

    public void setEnqueuedRequestsSize(final Long enqueuedRequestsSize) {
        this.enqueuedRequestsSize = enqueuedRequestsSize;
    }

    @Override
    public Long getEnqueuedRequestsMaxSize() {
        return this.enqueuedRequestsMaxSize;
    }

    public void setEnqueuedRequestsMaxSize(final Long enqueuedRequestsMaxSize) {
        this.enqueuedRequestsMaxSize = enqueuedRequestsMaxSize;
    }

}
