/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.mbean;

import javax.jbi.JBIException;
import javax.jbi.management.InstallerMBean;
import javax.management.ObjectName;

/**
 * A Mbean implementation for the installer component service used as mock for unit test purposes
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class Installer implements InstallerMBean {

    private final InstallerResults results;

    public Installer(final InstallerResults results) {
        this.results = results;
    }

    @Override
    public ObjectName getInstallerConfigurationMBean() throws JBIException {
        return this.results.getGetInstallerConfigurationMBeanResult();
    }

    @Override
    public String getInstallRoot() {
        return null;
    }

    @Override
    public ObjectName install() throws JBIException {
        return null;
    }

    @Override
    public boolean isInstalled() {
        return false;
    }

    @Override
    public void uninstall() throws JBIException {
        // NOP
    }
}
