/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.mbean.configuration.component;

import javax.management.Attribute;
import javax.management.AttributeList;
import javax.management.AttributeNotFoundException;
import javax.management.DynamicMBean;
import javax.management.InvalidAttributeValueException;
import javax.management.MBeanAttributeInfo;
import javax.management.MBeanException;
import javax.management.MBeanInfo;
import javax.management.ReflectionException;

/**
 * A abstract base implementation for confiugration MBeans: {@link InstallationConfigurationComponentService} and
 * {@link RuntimeConfigurationComponentService}.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public abstract class AbstractConfigurationComponentService implements DynamicMBean {
    
    public static final String ATTR_NAME = "myAttribute";

    @Override
    public Object getAttribute(final String attribute) throws AttributeNotFoundException, MBeanException,
            ReflectionException {
        return null;
    }

    @Override
    public void setAttribute(final Attribute attribute) throws AttributeNotFoundException,
            InvalidAttributeValueException, MBeanException, ReflectionException {
        // NOP
    }

    @Override
    public AttributeList getAttributes(final String[] attributes) {

        final AttributeList list = new AttributeList();
        list.add(new Attribute(ATTR_NAME, "value"));
        return list;
    }

    @Override
    public AttributeList setAttributes(final AttributeList attributes) {
        return null;
    }

    @Override
    public MBeanInfo getMBeanInfo() {
        return new MBeanInfo(this.getClass().getName(), "Configuration Component MBean",
                new MBeanAttributeInfo[] {
                    new MBeanAttributeInfo(ATTR_NAME, String.class.getName(), ATTR_NAME, true, true, false) },
                null, null, null);
    }
}
