/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.mbean.monitoring.component.soap;

import java.util.HashMap;
import java.util.Map;

import org.ow2.petals.component.framework.clientserver.api.monitoring.exception.MonitoringProbeNotInitializedException;
import org.ow2.petals.component.framework.clientserver.api.monitoring.exception.MonitoringProbeNotStartedException;
import org.ow2.petals.component.framework.clientserver.api.monitoring.exception.MonitoringServiceException;
import org.ow2.petals.jmx.api.impl.mbean.monitoring.component.framework.ComponentMonitoringService;

/**
 * A Mbean implementation for the Petals BC SOAP monitoring service used as mock for unit test purposes
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class PetalsBcSoapMonitoringService extends ComponentMonitoringService
        implements PetalsBcSoapMonitoringServiceMBean {

    @Override
    public long getHttpServerThreadPoolMaxSize() throws MonitoringServiceException {
        return 0;
    }

    @Override
    public long getHttpServerThreadPoolMinSize() throws MonitoringServiceException {
        return 0;
    }

    @Override
    public long getHttpServerThreadPoolActiveThreadsMax()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getHttpServerThreadPoolActiveThreadsCurrent()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getHttpServerThreadPoolIdleThreadsMax()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getHttpServerThreadPoolIdleThreadsCurrent()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getHttpServerThreadPoolQueuedRequestsMax()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getHttpServerThreadPoolQueuedRequestsCurrent()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getUnknownURLsCounter() throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public Map<String, Long> getServiceContractsCounter()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return new HashMap<String, Long>();
    }

    @Override
    public long getInformationURLsCounter() throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public Map<String[], Long> getWsClientPoolClientsInUseMax()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return new HashMap<String[], Long>();
    }

    @Override
    public Map<String[], Long> getWsClientPoolClientsInUseCurrent()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return new HashMap<String[], Long>();
    }

    @Override
    public Map<String[], Long> getWsClientPoolExhaustions()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return new HashMap<String[], Long>();
    }

    @Override
    public Map<String[], Long> getIncomingWsRequestsCounter()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return new HashMap<String[], Long>();
    }

    @Override
    public Map<String, Long> getHttpRequestsCount(String webService)
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return new HashMap<String, Long>();
    }

    @Override
    public Map<String, Long> getHttpRequestsCount(String webService, String webServiceClient)
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return new HashMap<String, Long>();
    }

    @Override
    public Map<String[], Long[]> getIncomingWsRequestsResponseTimeAbs()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return new HashMap<String[], Long[]>();
    }

    @Override
    public Map<String[], Long[]> getIncomingWsRequestsResponseTimeRel()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return new HashMap<String[], Long[]>();
    }

    @Override
    public Map<String[], Long[]> getIncomingWsRequestsResponseTimeRelGroupedBySvcAndExecStatus()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return new HashMap<String[], Long[]>();
    }

    @Override
    public Map<String, Long> getWsClientPool(String webService) throws MonitoringProbeNotStartedException,
            MonitoringProbeNotInitializedException, MonitoringServiceException {
        return new HashMap<String, Long>();
    }

    @Override
    public Map<String[], Long> getOutgoingWsRequestsCounter()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return new HashMap<String[], Long>();
    }

    @Override
    public Map<String[], Long[]> getOutgoingWsRequestsResponseTimeAbs()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return new HashMap<String[], Long[]>();
    }

    @Override
    public Map<String[], Long[]> getOutgoingWsRequestsResponseTimeRel()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return new HashMap<String[], Long[]>();
    }

    @Override
    public Map<String[], Long[]> getOutgoingWsRequestsResponseTimeRelGroupedBySvcAndExecStatus()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return new HashMap<String[], Long[]>();
    }
}
