/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.mbean.monitoring.container.transport.remote;

import java.util.Collections;
import java.util.Map;

/**
 * A Mbean implementation for the TCP transporter monitoring service used as mock for unit test purposes
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class TcpTransporterMonitoringService implements TcpTransporterMonitoringServiceMBean {

    @Override
    public Map<String[], Long> getOutgoingMessagesCount() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getIncomingMessagesCount() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getEstablishedOutgoingConnections() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getOutgoingActiveConnectionsCurrent() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getOutgoingActiveConnectionsMax() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getOutgoingIdleConnectionsCurrent() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getOutgoingIdleConnectionsMax() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getOutgoingConnectionsMax() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getOutgoingConnectionsMin() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getEstablishedIncomingConnections() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getIncomingActiveConnectionsCurrent() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getIncomingActiveConnectionsMax() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getIncomingIdleConnectionsCurrent() {
        return Collections.emptyMap();
    }

    @Override
    public Map<String[], Long> getIncomingIdleConnectionsMax() {
        return Collections.emptyMap();
    }

}
